/*******************************************************************************
* Copyright (c)                                                                *
*           2005   Tristan Allwood,                                            *
*           2005   Daniel Burke,                                               *
*           2005   Marc Hull,                                                  *
*           2005   Ekaterina Itskova,                                          *
*           2005   Steve Zymler                                                *
*                                                                              *
* Permission is hereby granted, free of charge, to any person obtaining a      *
* copy of this software and associated documentation files (the                *
* "Software"), to deal in the Software without restriction, including          *
* without limitation the rights to use, copy, modify, merge, publish,          *
* distribute, sublicense, and/or sell copies of the Software, and to           *
* permit persons to whom the Software is furnished to do so, subject to        *
* the following conditions:                                                    *
*                                                                              *
* The above copyright notice and this permission notice shall be included      *
* in all copies or substantial portions of the Software.                       *
*                                                                              *
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS      *
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF                   *
* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.       *
* IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY         *
* CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,         *
* TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE            *
* SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                       *
*******************************************************************************/
/*
 * Created on 23-Nov-2004
 *
 */
package uk.ac.ic.doc.kevlar.gui.internal.keyboard;

import org.eclipse.swt.graphics.Point;

import uk.ac.ic.doc.kevlar.gui.internal.AMouseListenerObject;
import uk.ac.ic.doc.kevlar.gui.internal.widgets.textbox.IModifyListener;
import uk.ac.ic.doc.kevlar.gui.internal.widgets.textbox.ITextBox;
import uk.ac.ic.doc.kevlar.gui.internal.widgets.textbox.TextBox;

/**
 * @author Marc
 **/
public class FindAsYouTypeBox extends AMouseListenerObject implements IModifyListener {

//    protected SWTTextBox textbox;
    protected TextBox textbox;
    
    public FindAsYouTypeBox() {
        
        super();
        
//        createTextBox();

        textbox = new TextBox();
        textbox.setPosition(new Point(0, 0));
        textbox.setSizeFillHorizontal(new Point(0, 20));
        textbox.setModifyListener(this);
        addChild(textbox); 
        
    }
    
/*    public void createTextBox() {
        
        textbox = new SWTTextBox(SWT.SINGLE);
        textbox.setPosition(new Point(5, 2));
        textbox.setSizeFillHorizontal(new Point(2, 13));
        textbox.getTextBox().addModifyListener(this);
        addChild(textbox); 
        
    } */
    
    public TextBox getTextBox() {
        
        return textbox;
        
    }
    
/*    public void show() {
        
        super.show();
        
        if (textbox == null) {
            
            createTextBox();
            
        }
        
    }
    
    public void hide() {
        
        super.hide();
        
        if (textbox != null) {
        
            textbox.dispose();
            textbox = null;
            
        }
        
    } */
    
    public void addText(String text) {

        textbox.setText(textbox.getText()+text);
        
/*        if (textbox != null) {
        
            Text textwidget = textbox.getTextBox(); 
            textwidget.setText(textwidget.getText()+text);
            textwidget.setSelection(text.length());
            
        } */
        
    }
   
    public void onModify(ITextBox textbox, String text) {

        TabManager.getSingleton().setFilter(text);
        
    } 
    
/*    public void modifyText(ModifyEvent arg0) {
        
        if (textbox != null) {

            TabManager.getSingleton().setFilter(textbox.getTextBox().getText());
            
        }
        
    } */

}
